import * as $dara from '@darabonba/typescript';
import { ListPrivateK8sResponseBody } from "./ListPrivateK8sResponseBody";
export declare class ListPrivateK8sResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListPrivateK8sResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
